# Uses of Interface
org.springframework.web.context.request.async.DeferredResultProcessingInterceptor

Packages that use DeferredResultProcessingInterceptor
Package
Description
org.springframework.web.context.request.async
Support for asynchronous request processing.

## Uses of DeferredResultProcessingInterceptor in org.springframework.web.context.request.async

Classes in org.springframework.web.context.request.async that implement DeferredResultProcessingInterceptor
Modifier and Type
Class
Description
`class`
`TimeoutDeferredResultProcessingInterceptor`
Sends a 503 (SERVICE_UNAVAILABLE) in case of a timeout if the response is not already committed.
Methods in org.springframework.web.context.request.async that return DeferredResultProcessingInterceptor
Modifier and Type
Method
Description
`DeferredResultProcessingInterceptor`
WebAsyncManager.`getDeferredResultInterceptor(Object key)`
Get the `DeferredResultProcessingInterceptor` registered under the given key.
Methods in org.springframework.web.context.request.async with parameters of type DeferredResultProcessingInterceptor
Modifier and Type
Method
Description
`void`
WebAsyncManager.`registerDeferredResultInterceptor(Object key, DeferredResultProcessingInterceptor interceptor)`
Register a `DeferredResultProcessingInterceptor` under the given key.
`void`
WebAsyncManager.`registerDeferredResultInterceptors(DeferredResultProcessingInterceptor... interceptors)`
Register one or more `DeferredResultProcessingInterceptors` without a specified key.